DeferredBindingActions (Grails 6.0.0)

Package: grails.validation

## [Java] Class DeferredBindingActions

- grails.validation.DeferredBindingActions

-     public class DeferredBindingActions
      extends java.lang.Object

  Binding operations that are deferred until either validate() or save() are called.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static org.apache.commons.logging.Log` | `LOG` |
    `private static java.lang.ThreadLocal<java.util.List<java.lang.Runnable>>` | `deferredBindingActions` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `private DeferredBindingActions ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static void` | `addBindingAction(java.lang.Runnable runnable)`
    `` | `public static void` | `clear()`
    `` | `private static java.util.List<java.lang.Runnable>` | `getDeferredBindingActions()`
    `` | `public void` | `run()`
    `` | `public static void` | `runActions()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static org.apache.commons.logging.Log LOG

    - #### private static java.lang.ThreadLocal<java.util.List<java.lang.Runnable>> deferredBindingActions

  - ### Constructor Detail

    - #### private DeferredBindingActions()

  - ### Method Detail

    - #### public static void addBindingAction(java.lang.Runnable runnable)

    - #### public static void clear()

    - #### private static java.util.List<java.lang.Runnable> getDeferredBindingActions()

    - #### public void run()

    - #### public static void runActions()